libstdc++: __gnu_pbds::detail::cond_dealtor< Entry, _Alloc > Class Template Reference

libstdc++

__gnu_pbds::detail::cond_dealtor< Entry, _Alloc > Class Template Reference

`#include <cond_dealtor.hpp>`

## Public Types
typedef HT_Map::entry | entry
typedef HT_Map::entry_allocator | entry_allocator
typedef alloc_traits::allocator_type | entry_allocator
typedef alloc_traits::pointer | entry_pointer
typedef HT_Map::key_type | key_type

## Public Member Functions
| cond_dealtor (entry_allocator *p_a, entry *p_e)
| cond_dealtor (entry_pointer p_e)
void | set_key_destruct ()
void | set_no_action ()
void | set_no_action_destructor ()

## Protected Attributes
bool | m_key_destruct
entry_allocator *const | m_p_a
entry *const | m_p_e

## Detailed Description

template<typename Entry, typename _Alloc>
class __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >

Conditional deallocate constructor argument.

Conditional dey destructor, cc_hash.

Definition at line 52 of file cond_dealtor.hpp.

## Member Typedef Documentation

## ◆ entry

template<typename Entry, typename _Alloc>

typedef HT_Map::entry __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry

Definition at line 50 of file cond_key_dtor_entry_dealtor.hpp.

## ◆ entry_allocator [1/2]

template<typename Entry, typename _Alloc>

typedef HT_Map::entry_allocator __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_allocator

Definition at line 51 of file cond_key_dtor_entry_dealtor.hpp.

## ◆ entry_allocator [2/2]

template<typename Entry, typename _Alloc>

typedef alloc_traits::allocator_type __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_allocator

Definition at line 57 of file cond_dealtor.hpp.

## ◆ entry_pointer

template<typename Entry, typename _Alloc>

typedef alloc_traits::pointer __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::entry_pointer

Definition at line 58 of file cond_dealtor.hpp.

## ◆ key_type

template<typename Entry, typename _Alloc>

typedef HT_Map::key_type __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::key_type

Definition at line 52 of file cond_key_dtor_entry_dealtor.hpp.

## Constructor & Destructor Documentation

## ◆ cond_dealtor() [1/2]

template<typename Entry, typename _Alloc>

__gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::cond_dealtor | ( | entry_pointer | p_e | ) |
| inline

Definition at line 60 of file cond_dealtor.hpp.

## ◆ ~cond_dealtor()

template<typename HT_Map>

__gnu_pbds::detail::cond_dealtor< HT_Map >::~cond_dealtor | ( |  | ) |
| inline

Definition at line 63 of file cond_dealtor.hpp.

## ◆ cond_dealtor() [2/2]

template<typename Entry, typename _Alloc>

__gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::cond_dealtor | ( | entry_allocator * | p_a,
|  | entry * | p_e )
| inline

Definition at line 54 of file cond_key_dtor_entry_dealtor.hpp.

## Member Function Documentation

## ◆ set_key_destruct()

template<typename Entry, typename _Alloc>

void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_key_destruct | ( |  | ) |
| inline

Definition at line 63 of file cond_key_dtor_entry_dealtor.hpp.

## ◆ set_no_action()

template<typename Entry, typename _Alloc>

void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_no_action | ( |  | ) |
| inline

Definition at line 71 of file cond_dealtor.hpp.

## ◆ set_no_action_destructor()

template<typename Entry, typename _Alloc>

void __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::set_no_action_destructor | ( |  | ) |
| inline

Definition at line 67 of file cond_key_dtor_entry_dealtor.hpp.

## Member Data Documentation

## ◆ m_key_destruct

template<typename Entry, typename _Alloc>

bool __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_key_destruct
| protected

Definition at line 74 of file cond_key_dtor_entry_dealtor.hpp.

## ◆ m_p_a

template<typename Entry, typename _Alloc>

entry_allocator* const __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_p_a
| protected

Definition at line 71 of file cond_key_dtor_entry_dealtor.hpp.

## ◆ m_p_e

template<typename Entry, typename _Alloc>

entry* const __gnu_pbds::detail::cond_dealtor< Entry, _Alloc >::m_p_e
| protected

Definition at line 72 of file cond_key_dtor_entry_dealtor.hpp.

The documentation for this class was generated from the following files:

- cond_dealtor.hpp
- cond_key_dtor_entry_dealtor.hpp